<?php

use App\Http\Controllers\DeathRegisterController;
use Illuminate\Support\Facades\Route;


/******************************* Main Route*****************************/
Route::resource('/death-registers', DeathRegisterController::class);


// IPD ADMISSION TABLE ROUTE
Route::get('/death-registers-list/{id}', [DeathRegisterController::class, 'deathRegisters'])->name('death-registers.index');



/*******************************changestatus*****************************/
Route::post('death-registers/changeStatus', [DeathRegisterController::class, 'changeStatus'])->name('death-registers-changestatus');

Route::get('death-registers-account-create/{id?}', [DeathRegisterController::class, 'createDeathRegister'])->name('death-registers-account-create');
Route::post('death-registers-account-store/{id?}', [DeathRegisterController::class, 'storeDeathRegister'])->name('death-registers-account-store');
Route::post('death-registers-account-update/{id}', [DeathRegisterController::class, 'updateDeathRegister'])->name('death-registers-account-update');

// Death REGISTER STATEMENT 
Route::any('death-registers-statement', [DeathRegisterController::class, 'statement'])->name('death-registers-statement'); 
Route::any('death-registers-statement-export', [DeathRegisterController::class, 'exportStatement'])->name('death-registers-statement-export');


Route::any('death-registers-destory/{id}', [DeathRegisterController::class, 'destroy'])->name('death-registers.destroy');






	